> ## Documentation Index
> Fetch the complete documentation index at: https://developers.lucca.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List realized-trainings

> Retrieve a paginated list of realized-trainings for all employees who were present at a closed session. 
It also includes all realized training that have been manually imported via CSV file into Lucca Training.

<Warning>This endpoint is deprecated in favor of a [newer version](/api-reference/legacy/poplee-training/realized-trainings/get-realized-trainings-v2).</Warning>


## OpenAPI

````yaml /openapi-specs/poplee-training.yaml get /talent-training/api/v1/realized-trainings
openapi: 3.1.0
info:
  title: Lucca Training
  version: '1.0'
  description: |
    Welcome on the documentation for the Lucca Training API.
  contact:
    name: API Support
    url: https://support.lucca.fr
    email: contact@luccasoftware.com
  license:
    name: Unlicensed
    url: https://www.luccasoftware.com
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: Trainings
    description: Trainings in catalog
  - name: Training-demands
    description: Requests for a training session for an employee.
  - name: Realized-trainings
    description: Past realized training sessions.
paths:
  /talent-training/api/v1/realized-trainings:
    parameters:
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Realized-trainings
      summary: List realized-trainings
      description: >-
        Retrieve a paginated list of realized-trainings for all employees who
        were present at a closed session. 

        It also includes all realized training that have been manually imported
        via CSV file into Lucca Training.
      operationId: list-realized-trainings
      parameters:
        - name: ownerId
          in: query
          description: Only retrieve realized-trainings that involve a given employee ID.
          schema:
            type: integer
            format: int32
            minimum: 1
        - name: sessionId
          in: query
          description: Only retrieve realized-trainings related to the given session ID.
          schema:
            type: integer
            format: int32
            minimum: 1
        - name: hasAttended
          in: query
          description: >-
            Return the realized-trainings the owner actually attended (true) or
            those the owner was absent (false).
          schema:
            type: boolean
        - name: sessionEndOnAfter
          in: query
          description: >-
            Returns the realized-trainings that have a sessionEndDate after (non
            inclusive) this date
          schema:
            type: string
            format: date
        - name: sort
          in: query
          description: >
            Sort items by one of their property.

            "+<prop>" == "<prop>" => ascending "prop" value

            "-<prop>" => descending "prop" value

            Syntax is:

            ```

            <sort>                  ::= '-|+'? <property> ( ',' <property> )*

            <property>              ::= <strictString> ( '.' <strictString> )*

            <strictString>          ::= ( <char> | <digit> | '_' | '-'
            )+            

            ```
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - id
                - '-id'
                - createdAt
                - '-createdAt'
            example:
              - '-id'
        - $ref: '#/components/parameters/fields.root'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/v2.Collection'
                  - type: object
                    properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/RealizedTraining'
              example:
                $ref: '#/components/examples/v1.get.realized-trainings'
        '400':
          $ref: '#/components/responses/Problem'
        '401':
          $ref: '#/components/responses/Problem'
        '500':
          $ref: '#/components/responses/Problem'
      deprecated: true
components:
  parameters:
    Authorization:
      name: Authorization
      required: true
      description: 'API key. Value must be formatted like so: `lucca application={api_key}`.'
      in: header
      schema:
        type: string
    fields.root:
      name: fields.root
      in: query
      description: >
        Include the total number of items across all pages, as well as pointers
        to the previous and next pages.
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - prev
            - next
            - count
    page:
      name: page
      in: query
      description: |
        Page to retrieve. Either the page index <int>
        or the page cursor <string>.
      schema:
        oneOf:
          - type: integer
            format: int32
            minimum: 0
          - type: string
    limit:
      name: limit
      in: query
      description: |
        Pagination: number of items per page.
      schema:
        type: integer
        minimum: 0
        maximum: 100
        default: 20
  schemas:
    v2.Collection:
      type: object
      properties:
        count:
          description: >
            Total number of items across all pages. You need to include
            ?fields.root=count to your request to retrieve this.
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        prev:
          description: |
            Cursor to the previous page. You need to include
            ?fields.root=prev in order to retrieve this.
          type:
            - string
            - 'null'
        next:
          description: |
            Cursor to the next page. You need to include
            ?fields.root=next in order to retrieve this.
          type:
            - string
            - 'null'
    RealizedTraining:
      title: The realized-training resource
      deprecated: true
      x-tags:
        - Realized-trainings
      type: object
      description: >-
        A realized-training is a registration for an employee who was present to
        a session with "closed" status. It also includes all realized training
        that have been manually imported via CSV file into Lucca Training.
      examples:
        - id: 1
          hasAttended: true
          trainingTitle: Intensive English courses
          trainingCategoryCode: languages-EN
          trainingId: 49
          providerId: 249
          providerName: Berlitz
          providerUrl: https://www.berlitz.com/en-be/languages/english/intensive-classes
          sessionStartOn: '2019-08-24'
          sessionEndOn: '2019-08-25'
          sessionDurationInHours: 6
          trainingDemandId: 1
          ownerId: 1
      required:
        - id
        - hasAttended
        - trainingTitle
        - providerName
        - sessionStartOn
        - sessionEndOn
        - sessionDurationInHours
        - trainingDemandId
        - ownerId
      properties:
        id:
          type: integer
          format: int32
          minimum: 1
        hasAttended:
          type: boolean
          description: |
            - True if the employee actually attended the training session
            - False if not
        trainingId:
          type: integer
          description: >-
            Technical Id for the training.

            This Id will not be shown for realized training manually imported
            via CSV.
          format: int32
        trainingTitle:
          type: string
          description: Name of the training.
        trainingCategoryCode:
          enum:
            - generalKnowHow-CalculationAndMathematicalReasoning
            - generalKnowHow-OfficeAutomation
            - generalKnowHow-HealthAndSafety
            - jobsector-Purchase
            - jobsector-Sales
            - jobsector-CommunicationAndMarketing
            - jobsector-ConsultingAndCustomerService
            - jobsector-SustainableDevelopment
            - jobsector-DirectorsAndGeneralAdministration
            - jobsector-FinanceAndAccounting
            - jobsector-Training
            - jobsector-HumanRessourcesAndOfficeManagement
            - jobsector-LegalAndCompliance
            - jobsector-Logistics
            - jobsector-Production
            - jobsector-ResearchAndDevelopment
            - jobsector-Support
            - softskills-Communication
            - softskills-EmotionalIntelligence
            - softskills-ProblemSolving
            - softskills-WorkEthic
            - softskills-EfficiencyAndTimeManagement
            - softskills-Creativity
            - softskills-CulturalOpenness
            - management-Leadership
            - management-PerformanceManagement
            - management-TeamManagement
            - management-ChangeManagement
            - languages-DE
            - languages-EN
            - languages-AR
            - languages-ZH
            - languages-ES
            - languages-FR
            - languages-HI
            - languages-ID
            - languages-IT
            - languages-JA
            - languages-NL
            - languages-PT
            - languages-RU
            - languages-SV
            - languages-VI
            - languages-EL
          description: |-
            Category of the training. 
            This data can be empty as it is optional on a training.
          readOnly: true
        providerId:
          type: integer
          description: >-
            ID of the Provider.

            This ID will not be displayed if the training has been manually
            imported via CSV or if the Provider field is empty on the training.
          format: int32
        providerName:
          type: string
          description: Name of the company that provided the training session.
        providerUrl:
          type: string
          format: url
          description: |-
            Link to the website of the company that provided the training 
            session.
            This information is optional on a training.
        sessionStartOn:
          type: string
          format: date
          description: |
            Date of the first day of the training session
        sessionEndOn:
          type: string
          format: date
          description: |
            Date of the last day (included) of the training session 
        sessionDurationInHours:
          type: integer
          format: int32
          minimum: 0
          description: Duration, in hours, of the training session.
        trainingDemandId:
          type: integer
          format: int32
          minimum: 1
          description: |
            Reference to the training-demand that led to
            the registration to this training session
        ownerId:
          type: integer
          format: int32
          minimum: 1
          description: |
            Reference of the employee who attended the training session.
  responses:
    Problem:
      description: Problem
      content:
        application/json:
          schema:
            type: object
            properties:
              Status:
                type: integer
                description: HTTP status code.
                example: 401
              Message:
                type: string
                description: Human readable error message.
                example: Unauthorized

````